Bug 238109 - games/nxengine: fix runtime on big-endian architectures
Summary: games/nxengine: fix runtime on big-endian architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-24 20:23 UTC by Piotr Kubaj
Modified: 2019-05-30 07:58 UTC (History)
1 user (show)

See Also:
lifanov: maintainer-feedback+


Attachments
patch (1.67 KB, patch)
2019-05-24 20:23 UTC, Piotr Kubaj
lifanov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-05-24 20:23:27 UTC
Created attachment 204598 [details]
patch

Without this patch, it fails with:
Loading settings...
Couldn't open file /home/pkubaj/.local/share/nxengine/nxengine-evo/settings.dat.
No saved settings; using defaults.
DW: 1280, DH: 1024
Disabling 1600x1200
Disabling 1360x768
Disabling 1366x768
Disabling 1440x900
Disabling 1920x1080
SDL_CreateWindow: 640x480
Renderer::initVideo: using: opengl renderer
Loading font file font_2.fnt
Loading font file data/font_2.fnt
 error << SIFLoader::LoadHeader: magick check failed--this isn't a SIF file or is wrong version? >>
 error <<  (expected 53494632, got 32464953) >>
 error << fatal: 'Failed to initialize graphics.' >>

Already committed upstream.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-05-29 21:23:39 UTC
This builds for me, so once the maintainer approves, consider this mentor approval.
Comment 2 Nikolai Lifanov freebsd_committer 2019-05-29 23:01:10 UTC
Approved!
Comment 3 commit-hook freebsd_committer 2019-05-30 07:58:36 UTC
A commit references this bug:

Author: pkubaj
Date: Thu May 30 07:58:06 UTC 2019
New revision: 503053
URL: https://svnweb.freebsd.org/changeset/ports/503053

Log:
  games/nxengine: fix runtime on big-endian architectures

  Add patches for big-endian architectures.

  PR:		238109
  Approved by:	lifanov (maintainer), linimon (mentor)

Changes:
  head/games/nxengine/Makefile
  head/games/nxengine/distinfo